%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           tryton
Version:        1.6.0
Release:        3%{?dist}
Summary:        Client for the Tryton application framework

Group:          Applications/Productivity
License:        GPLv3+
URL:            http://www.tryton.org
Source0:        http://downloads.tryton.org/1.6/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  desktop-file-utils
BuildRequires:  python-sphinx
Requires:       pygtk2
Requires:       librsvg2
Requires:       mx
Requires:       pyOpenSSL
Requires:       pytz
Requires:       python-dateutil


%description
This is client for the Tryton application framework. The server can be found
in the trytond package.


%prep
%setup -q


%build
%{__python} setup.py build

pushd doc
make html
popd


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

desktop-file-install --vendor=fedora                            \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications           \
        %{name}.desktop

# prepare icon pixmap
pushd $RPM_BUILD_ROOT%{_datadir}/pixmaps
ln -sf %{name}/%{name}-icon.png %{name}-icon.png
popd

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc CHANGELOG COPYRIGHT INSTALL LICENSE README TODO
%doc doc/_build/html
%{_bindir}/%{name}
%{python_sitelib}/*
%{_datadir}/pixmaps/%{name}
%{_datadir}/pixmaps/%{name}-icon.png
%{_datadir}/applications/fedora-%{name}.desktop


%changelog
* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 1.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Thu Jul 15 2010 Dan Horák <dan[at]danny.cz> 1.6.0-2
- build documentation
- add missing R: python-dateutil

* Wed Jul  7 2010 Dan Horák <dan[at]danny.cz> 1.6.0-1
- update to upstream version 1.6.0

* Thu Apr  1 2010 Dan Horák <dan[at]danny.cz> 1.4.3-1
- update to upstream version 1.4.3

* Fri Feb 19 2010 Dan Horák <dan[at]danny.cz> 1.4.2-1
- update to upstream version 1.4.2

* Sat Nov 28 2009 Dan Horák <dan[at]danny.cz> 1.4.1-1
- update to upstream version 1.4.1

* Wed Oct 21 2009 Dan Horák <dan[at]danny.cz> 1.4.0-1
- update to upstream version 1.4.0

* Mon Aug 31 2009 Dan Horák <dan[at]danny.cz> 1.2.2-1
- update to upstream version 1.2.2

* Wed Aug 26 2009 Dan Horák <dan[at]danny.cz> 1.2.1-3
- fixed Source0 URL

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jul 10 2009 Dan Horák <dan[at]danny.cz> 1.2.1-1
- update to upstream version 1.2.1

* Sat May 23 2009 Dan Horák <dan[at]danny.cz> 1.2.0-1
- update to upstream version 1.2.0
- use upstream desktop file

* Fri Mar  6 2009 Dan Horák <dan[at]danny.cz> 1.0.3-1
- update to upstream version 1.0.3

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jan  7 2009 Dan Horák <dan[at]danny.cz> 1.0.2-1
- update to upstream version 1.0.2

* Mon Dec 29 2008 Dan Horák <dan[at]danny.cz> 1.0.1-2
- set vendor for the desktop file
- improve Description

* Mon Dec  1 2008 Dan Horák <dan[at]danny.cz> 1.0.1-1
- update to upstream version 1.0.1

* Fri Nov 28 2008 Dan Horák <dan[at]danny.cz> 1.0.0-1
- initial Fedora version
